Do you want Free Plugins?

If so, you’ve come to the right place.

Plugin Name Version Requirements Get The Plugin
Recently Edited Content Widget 0.3 PHP 5.3+, WordPress 3.0+
Meta Fetcher 0.4 WordPress 3.0+
Trim Widget Descriptions 0.2.1 PHP 5.3+, WordPress 3.0+
What Template Am I Using 0.1.10 PHP 5.3+, WordPress 3.1+
Nav Menu Shortcode 0.2.1 WordPress 3.0+
Get Post Content Shortcode 0.2 WordPress 3.0+
Clean Media Library File Names 0.2 WordPress 3.0+